Package org.apache.tools.ant.taskdefs.launcher

# Class CommandLauncherProxy

java.lang.Object
org.apache.tools.ant.taskdefs.launcher.CommandLauncher
org.apache.tools.ant.taskdefs.launcher.CommandLauncherProxy

Direct Known Subclasses:
  `MacCommandLauncher`, `OS2CommandLauncher`, `PerlScriptCommandLauncher`, `ScriptCommandLauncher`, `WinNTCommandLauncher`

public class CommandLauncherProxy extends CommandLauncher
A command launcher that proxies another command launcher. Sub-classes override exec(args, env, workdir).

## Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncher

`FILE_UTILS`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CommandLauncherProxy(CommandLauncher launcher)`

## Method Summary

Modifier and Type
Method
Description
`Process`
`exec(Project project, String[] cmd, String[] env)`
Launches the given command in a new process.

### Methods inherited from class org.apache.tools.ant.taskdefs.launcher.CommandLauncher

`exec, getShellLauncher, getVMLauncher, setShellLauncher, setVMLauncher`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CommandLauncherProxy

protected CommandLauncherProxy(CommandLauncher launcher)

## Method Details

### exec

public Process exec(Project project, String[] cmd, String[] env) throws IOException
Launches the given command in a new process. Delegates this method to the proxied launcher.

Overrides:
  `exec` in class `CommandLauncher`
Parameters:
  `project` - the Ant project.
  `cmd` - the command line to execute as an array of strings.
  `env` - the environment to set as an array of strings.
Returns:
  the created Process.
Throws:
  `IOException` - forwarded from the exec method of the command launcher.